Linux Kernelの複数の脆弱性情報(CVE-2019-19965, CVE=2019-19966, CVE-2019-20054, CVE-2019-20095, CVE-2019-20096)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

12/25/2019から年末にかけて、Linux Kernelの複数の脆弱性情報(CVE-2019-19965, CVE=2019-19966, CVE-2019-20054, CVE-2019-20095, CVE-2019-20096)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。


[過去の関連リンク]

Linux Kernelの脆弱性情報(CVE-2019-19947)

Cisco TalosによるLinux Kernelの脆弱性情報(CVE-2019-5108)

Linux Kernelの権限昇格の脆弱性情報(CVE-2019-19241)

Linux Kernelの複数の脆弱性情報(CVE-2019-19813, CVE-2019-19814, CVE-2019-19815, CVE-2019-19816)

Linux Kernelの複数の脆弱性情報(CVE-2019-19767, CVE-2019-19768, CVE-2019-19769, CVE-2019-19770)

Linux Kernelの複数の脆弱性情報(CVE-2019-19767, CVE-2019-19768, CVE-2019-19769, CVE-2019-19770)

Linux Kernelの脆弱性情報(CVE-2019-19807)

Linux Kernelの複数の脆弱性情報(CVE-2019-19447, CVE-2019-19448, CVE-2019-19449)

Linux KernelのUSBデバイスに関する複数の脆弱性情報(CVE-2019-19523, CVE-2019-19524, CVE-2019-19525, CVE-2019-19526, CVE-2019-19527, CVE-2019-19528, CVE-2019-19529, CVE-2019-19530, CVE-2019-19531, CVE-2019-19532, 2019-19533, 2019-19534, 2019-19535, 2019-19536, 2019-19537)

Linux Kernelの脆弱性情報(Important: CVE-2019-14901)

Linux Kernelの脆弱性情報(CVE-2019-18675)

Linux Kernelの脆弱性情報(CVE-2019-18683)

Linux Kernelの複数の脆弱性情報(CVE-2019-17052, CVE-2019-17053, CVE-2019-17054, CVE-2019-17055, CVE-2019-17056)

Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2019-19965 Linux Kernel <= 5.4.6 https://git.kernel.org/linus/f70267f379b5e5e11bdc5d72a56bf17e5feed01f

NVD: 4.7 MEDIUM

NVD: CVSS:3.1/AV:L/AC:H/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2019-19966 Linux Kernel < 5.1.6 https://git.kernel.org/linus/dea37a97265588da604c6ba80160a287b72c7bfd

NVD: 5.5 MEDIUM

NVD: CVSS:3.1/AV:L/AC:L/PR:L/UI:N/S:U/C:N/I:N/A:H

CVE-2019-20054 Linux Kernel < 5.0.6 https://git.kernel.org/linus/23da9588037ecdd4901db76a5b79a42b529c4ec3

https://git.kernel.org/linus/89189557b47b35683a27c80ee78aef18248eefb4

SuSE: 6.2 MEDIUM

SuSE: AV:L/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2019-20095 Linux Kernel < 5.1.6 https://git.kernel.org/linus/003b686ace820ce2d635a83f10f2d7f9c147dabc

SuSE: 7.5 Important

SuSE: AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H

CVE-2019-20096 Linux Kernel < 5.1 https://git.kernel.org/linus/1d3ff0950e2b40dc861b1739029649d03f591820

SuSE: 5.3 Moderate

SuSE: AV:N/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:L

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19965
    • NULLポインタ被参照の問題
    • 5.4.6までのLinux Kernelでは、drivers/scsi/libsas/sas_discover.c中に、検索中のポート切断処理に問題があることによりPHY down競合状態が発生してNULLポインタ被参照の問題が発生する可能性が有ります。
  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-19966
    • DoSの可能性
    • 5.1.6までのLinux Kernelでは、drivers/media/usb/cpia2/cpia2_v4l.c中のcpia2_exit()にuse-after-freeの問題があり、DoSが発生する可能性が有ります。
  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-20054
    • NULLポインタ被参照の問題
    • 5.0.6までのLinux Kernelでは、fs/proc/proc_sysctl.c中のdrop_sysctl_table()関数にput_linksと関係したNULLポインタ被参照の問題があります。
  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-20095
    • DoSの可能性
    • 5.1.6までのLinux Kernelでは、drivers/net/wireless/marvell/mwifiex/cfg80211.c中のmwifiex_tm_cmd()関数でアロケートされたhostcmdメモリを解放していないケースが存在しました。これにより、メモリリークとDoSを発生させることができる可能性があります。
  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-20096
    • DoSの可能性
    • 5.1までのLinux Kernelでは、net/dccp/feat.c中の__feat_register_sp()関数にメモリリークの可能性があり、DoSを発生させることができる可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、OSの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Linux Kernelの脆弱性情報(CVE-2019-19947)

次へ

cpioの脆弱性情報(Moderate: CVE-2019-14866)